CCC   #################################################################
CCC   epos2spherio()
CCC   #################################################################
CCC   last updated 03272009
CCC   #################################################################
      subroutine TransferEpos2Spherio
      include 'epos.inc'
      include 'spherio.quifz.inc'
      select case (iofrout)
      case(1)
        ifz=1
      case(2)
        ifz=0
      case default
        continue
      end select
      return 
      end 

CCC   #################################################################
CCC   eposhydrotable()
CCC   #################################################################
CCC   epostrials()
CCC   give epos the freedom to test spherio functions
CCC   #################################################################
CCC   last updated 11262008
CCC   #################################################################
      subroutine eposhydrotable(ntsp,tau)
	implicit none
      include 'epos.incso'
	include 'spherio.debug.inc'
	integer ntsp
	double precision tau

      call mklt()
      call TransferHydroTable(ntsp,tau)

      return 
      end 

CCC   #################################################################
CCC   epostrials()
CCC   #################################################################
CCC   epostrials()
CCC   give epos the freedom to test spherio functions
CCC   #################################################################
CCC   last updated 11262008
CCC   #################################################################
      subroutine epostrials()
	implicit none
      include 'epos.incso'
	include 'spherio.temps.inc'
	include 'spherio.debug.inc'
	include 'spherio.io.inc'
      double precision trTf
      integer trireadfzo,trimakefzo

      trireadfzo=ireadfzo
      trimakefzo=imakefzo
      trTf=Tf
      call TransferSpherioEpos(trTf,trireadfzo,trimakefzo)

      return 
      end 

