       INTEGER npart 
c       PARAMETER (npart=88)
c       PARAMETER (npart=224)
       PARAMETER (npart=128)
       INTEGER ipid(npart)

c---------------------------------------
c Light unflavored mesons 
c (S = C = B =0)
c----------------------------------------
c ipid() =   1   !! pi+
c ipid() =   2   !! pi0
c ipid() =   3   !! pi-
c ipid() =   4   !! eta
c ipid() =   5   !! rho+
c ipid() =   6   !! rho0
c ipid() =   7   !! rho-
c ipid() =   8   !! omega
c ipid() =   9   !! eta'
c ipid() =   10  !! f0(980)
c ipid() =   11  !! a0(980)+
c ipid() =   12  !! a0(980)0
c ipid() =   13  !! a0(980)-
c ipid() =   14  !! phi(1020)
c---------------------------------------
c Strange mesons 
c (S = +/- 1, C = B = 0)
c----------------------------------------
c ipid() =   70  !! K+
c ipid() =   71  !! K-
c ipid() =   72  !! K0
c ipid() =   73  !! K0 bar
c ipid() =   74  !! K*(892)+
c ipid() =   75  !! K*(892)-
c ipid() =   76  !! K*(892)0
c ipid() =   77  !! K*(892)0 bar
c---------------------------------------
c N baryons
c (S = 0, I = 1/2)
c----------------------------------------
c ipid() =   150 !! p
c ipid() =   151 !! p bar     
c ipid() =   152 !! n
c ipid() =   153 !! n bar  
c ipid() =   154 !! N(1440)+
c ipid() =   155 !! N(1440)0
c ipid() =   156 !! N(1440)+ bar 
c ipid() =   157 !! N(1440)0 bar   
c ipid() =   158 !! N(1520)+
c ipid() =   159 !! N(1520)0 
c ipid() =   160 !! N(1520)+ bar
c ipid() =   161 !! N(1520)0 bar
c ipid() =   162 !! N(1535)+
c ipid() =   163 !! N(1535)0
c ipid() =   164 !! N(1535)+ bar
c ipid() =   165 !! N(1535)0 bar
c ipid() =   166 !! N(1650)+
c ipid() =   167 !! N(1650)0
c ipid() =   168 !! N(1650)+ bar
c ipid() =   169 !! N(1650)0 bar
c ipid() =   170 !! N(1675)+
c ipid() =   171 !! N(1675)0
c ipid() =   172 !! N(1675)+ bar
c ipid() =   173 !! N(1675)0 bar
c ipid() =   174 !! N(1680)+
c ipid() =   175 !! N(1680)0
c ipid() =   176 !! N(1680)+ bar
c ipid() =   177 !! N(1680)0 bar
c ipid() =   178 !! N(1700)+
c ipid() =   179 !! N(1700)0
c ipid() =   180 !! N(1700)+ bar
c ipid() =   181 !! N(1700)0 bar
c ipid() =   182 !! N(1710)+
c ipid() =   183 !! N(1710)0
c ipid() =   184 !! N(1710)+ bar
c ipid() =   185 !! N(1710)0 bar
c ipid() =   186 !! N(1720)+
c ipid() =   187 !! N(1720)0
c ipid() =   188 !! N(1720)+ bar
c ipid() =   189 !! N(1720)0 bar
c---------------------------------------
c Delta baryons
c (S = 0, I = 3/2)
c----------------------------------------
c ipid() =   210 !! Delta(1232)++
c ipid() =   211 !! Delta(1232)+
c ipid() =   212 !! Delta(1232)0
c ipid() =   213 !! Delta(1232)-
c ipid() =   214 !! Delta(1232)++ bar
c ipid() =   215 !! Delta(1232)+  bar
c ipid() =   216 !! Delta(1232)0  bar
c ipid() =   217 !! Delta(1232)-  bar
c ipid() =   218 !! Delta(1600)++
c ipid() =   219 !! Delta(1600)+
c ipid() =   220 !! Delta(1600)0
c ipid() =   221 !! Delta(1600)-
c ipid() =   222 !! Delta(1600)++ bar
c ipid() =   223 !! Delta(1600)+  bar
c ipid() =   224 !! Delta(1600)0  bar
c ipid() =   225 !! Delta(1600)-  bar 
c ipid() =   226 !! Delta(1620)++ 
c ipid() =   227 !! Delta(1620)+
c ipid() =   228 !! Delta(1620)0
c ipid() =   229 !! Delta(1620)-         
c ipid() =   230 !! Delta(1620)++ bar
c ipid() =   231 !! Delta(1620)+  bar
c ipid() =   232 !! Delta(1620)0  bar
c ipid() =   233 !! Delta(1620)-  bar
c ipid() =   234 !! Delta(1700)++ 
c ipid() =   235 !! Delta(1700)+
c ipid() =   236 !! Delta(1700)0
c ipid() =   237 !! Delta(1700)-         
c ipid() =   238 !! Delta(1700)++ bar
c ipid() =   239 !! Delta(1700)+  bar
c ipid() =   240 !! Delta(1700)0  bar
c ipid() =   241 !! Delta(1700)-  bar
c ipid() =   242 !! Delta(1905)++ 
c ipid() =   243 !! Delta(1905)+
c ipid() =   244 !! Delta(1905)0
c ipid() =   245 !! Delta(1905)-         
c ipid() =   246 !! Delta(1905)++ bar
c ipid() =   247 !! Delta(1905)+  bar
c ipid() =   248 !! Delta(1905)0  bar
c ipid() =   249 !! Delta(1905)-  bar
c ipid() =   250 !! Delta(1910)++ 
c ipid() =   251 !! Delta(1910)+
c ipid() =   252 !! Delta(1910)0
c ipid() =   253 !! Delta(1910)-         
c ipid() =   254 !! Delta(1910)++ bar
c ipid() =   255 !! Delta(1910)+  bar
c ipid() =   256 !! Delta(1910)0  bar
c ipid() =   257 !! Delta(1910)-  bar
c ipid() =   258 !! Delta(1920)++ 
c ipid() =   259 !! Delta(1920)+
c ipid() =   260 !! Delta(1920)0
c ipid() =   261 !! Delta(1920)-         
c ipid() =   262 !! Delta(1920)++ bar
c ipid() =   263 !! Delta(1920)+  bar
c ipid() =   264 !! Delta(1920)0  bar
c ipid() =   265 !! Delta(1920)-  bar
c ipid() =   266 !! Delta(1930)++ 
c ipid() =   267 !! Delta(1930)+
c ipid() =   268 !! Delta(1930)0
c ipid() =   269 !! Delta(1930)-         
c ipid() =   270 !! Delta(1930)++ bar
c ipid() =   271 !! Delta(1930)+  bar
c ipid() =   272 !! Delta(1930)0  bar
c ipid() =   273 !! Delta(1930)-  bar
c ipid() =   274 !! Delta(1950)++ 
c ipid() =   275 !! Delta(1950)+
c ipid() =   276 !! Delta(1950)0
c ipid() =   277 !! Delta(1950)-         
c ipid() =   278 !! Delta(1950)++ bar
c ipid() =   279 !! Delta(1950)+  bar
c ipid() =   280 !! Delta(1950)0  bar
c ipid() =   281 !! Delta(1950)-  bar
c---------------------------------------
c Lambda baryons
c (S = -1, I = 0)
c----------------------------------------
c ipid() =   300 !! Lambda
c ipid() =   301 !! Lambda bar
c ipid() =   302 !! Lambda(1405)
c ipid() =   303 !! Lambda(1405) bar
c ipid() =   304 !! Lambda(1520)
c ipid() =   305 !! Lambda(1520) bar
c ipid() =   306 !! Lambda(1600)
c ipid() =   307 !! Lambda(1600) bar
c ipid() =   308 !! Lambda(1670)
c ipid() =   309 !! Lambda(1670) bar
c ipid() =   310 !! Lambda(1690)
c ipid() =   311 !! Lambda(1690) bar
c ipid() =   312 !! Lambda(1800)
c ipid() =   313 !! Lambda(1800) bar
c ipid() =   314 !! Lambda(1810)
c ipid() =   315 !! Lambda(1810) bar
c ipid() =   316 !! Lambda(1820)
c ipid() =   317 !! Lambda(1820) bar
c ipid() =   318 !! Lambda(1830)
c ipid() =   319 !! Lambda(1830) bar
c ipid() =   320 !! Lambda(1890)
c ipid() =   321 !! Lambda(1890) bar
c---------------------------------------
c Sigma baryons
c (S = -1, I = 1)
c----------------------------------------
c ipid() =   330 !! Sigma+
c ipid() =   331 !! Sigma0
c ipid() =   332 !! Sigma-
c ipid() =   333 !! Sigma+ bar
c ipid() =   334 !! Sigma0 bar
c ipid() =   335 !! Sigma- bar
c ipid() =   336 !! Sigma(1385)+
c ipid() =   337 !! Sigma(1385)0
c ipid() =   338 !! Sigma(1385)-
c ipid() =   339 !! Sigma(1385)+ bar
c ipid() =   340 !! Sigma(1385)0 bar
c ipid() =   341 !! Sigma(1385)- bar
c ipid() =   342 !! Sigma(1660)+
c ipid() =   343 !! Sigma(1660)0
c ipid() =   344 !! Sigma(1660)-
c ipid() =   345 !! Sigma(1660)+ bar
c ipid() =   346 !! Sigma(1660)0 bar
c ipid() =   347 !! Sigma(1660)- bar
c ipid() =   348 !! Sigma(1670)+
c ipid() =   349 !! Sigma(1670)0
c ipid() =   350 !! Sigma(1670)-
c ipid() =   351 !! Sigma(1670)+ bar
c ipid() =   352 !! Sigma(1670)0 bar
c ipid() =   353 !! Sigma(1670)- bar
c ipid() =   354 !! Sigma(1750)+
c ipid() =   355 !! Sigma(1750)0
c ipid() =   356 !! Sigma(1750)-
c ipid() =   357 !! Sigma(1750)+ bar
c ipid() =   358 !! Sigma(1750)0 bar
c ipid() =   359 !! Sigma(1750)- bar
c ipid() =   360 !! Sigma(1775)+
c ipid() =   361 !! Sigma(1775)0
c ipid() =   362 !! Sigma(1775)-
c ipid() =   363 !! Sigma(1775)+ bar
c ipid() =   364 !! Sigma(1775)0 bar
c ipid() =   365 !! Sigma(1775)- bar
c ipid() =   366 !! Sigma(1915)+
c ipid() =   367 !! Sigma(1915)0
c ipid() =   368 !! Sigma(1915)-
c ipid() =   369 !! Sigma(1915)+ bar
c ipid() =   370 !! Sigma(1915)0 bar
c ipid() =   371 !! Sigma(1915)- bar
c ipid() =   372 !! Sigma(1940)+
c ipid() =   373 !! Sigma(1940)0
c ipid() =   374 !! Sigma(1940)-
c ipid() =   375 !! Sigma(1940)+ bar
c ipid() =   376 !! Sigma(1940)0 bar
c ipid() =   377 !! Sigma(1940)- bar
c ipid() =   378 !! Sigma(2030)+
c ipid() =   379 !! Sigma(2030)0
c ipid() =   380 !! Sigma(2030)-
c ipid() =   381 !! Sigma(2030)+ bar
c ipid() =   382 !! Sigma(2030)0 bar
c ipid() =   383 !! Sigma(2030)- bar
c---------------------------------------
c Xsi baryons
c (S = -2, I = 1/2)
c----------------------------------------
c ipid() =   390 !! Xsi0
c ipid() =   391 !! Xsi-
c ipid() =   392 !! Xsi0 bar
c ipid() =   393 !! Xsi- bar
c ipid() =   394 !! Xsi(1530)0
c ipid() =   395 !! Xsi(1530)-
c ipid() =   396 !! Xsi(1530)0 bar
c ipid() =   397 !! Xsi(1530)- bar
c ipid() =   398 !! Xsi(1820)0
c ipid() =   399 !! Xsi(1820)-
c ipid() =   400 !! Xsi(1820)0 bar
c ipid() =   401 !! Xsi(1820)- bar
c---------------------------------------
c Omega baryons
c (S = -3, I = 0)
c----------------------------------------
c ipid() =   410 !! Omega
c ipid() =   411 !! Omega bar


c      DATA ipid /1,2,3,4,5,6,7,8,9,10,11,12,13,14,
c     &           70,71,72,73,74,75,76,77,
c     &           150,151,152,153,154,155,156,157,158,159,160,161,
c     &           162,163,164,165,
c     &           210,211,212,213,214,215,216,217,218,219,220,221,
c     &           222,223,224,225,226,227,228,229,230,231,232,233,
c     &           300,301,302,303,
c     &           330,331,332,333,334,335,336,337,338,339,340,341,
c     &           390,391,392,393,394,395,396,397,
c     &           410,411/


c      DATA ipid /1,2,3,4,5,6,7,8,9,10,11,12,13,14,
c     &           70,71,72,73,74,75,76,77,
c     &           150,151,152,153,154,155,156,157,158,159,160,161,
c     &           162,163,164,165,166,167,168,169,170,171,172,173,
c     &           174,175,176,177,178,179,180,181,182,183,184,185,
c     &           186,187,188,189,
c     &           210,211,212,213,214,215,216,217,218,219,220,221,
c     &           222,223,224,225,226,227,228,229,230,231,232,233,
c     &           234,235,236,237,238,239,240,241,242,243,244,245,
c     &           246,247,248,249,250,251,252,253,254,255,256,257,
c     &           258,259,260,261,262,263,264,265,266,267,268,269,
c     &           270,271,272,273,274,275,276,277,278,279,280,281,
c     &           300,301,302,303,304,305,306,307,308,309,310,311,
c     &           312,313,314,315,316,317,318,319,320,321,
c     &           330,331,332,333,334,335,336,337,338,339,340,341,
c     &           342,343,344,345,346,347,348,349,350,351,352,353,
c     &           354,355,356,357,358,359,360,361,362,363,364,365,
c     &           366,367,368,369,370,371,372,373,374,375,376,377,
c     &           378,379,380,381,382,383,
c     &           390,391,392,393,394,395,396,397,398,399,400,401,
c     &           410,411/



      DATA ipid /1,2,3,4,5,6,7,8,9,10,11,12,13,14,
     &           70,71,72,73,74,75,76,77,
     &           150,151,152,153,154,155,156,157,158,159,160,161,
     &           162,163,164,165,166,167,168,169,170,171,172,172,
     &           174,175,176,177,178,179,180,181,182,183,184,185,
     &           186,187,188,189,
     &           210,211,212,213,214,215,216,217,218,219,220,221,
     &           222,223,224,225,226,227,228,229,230,231,232,233,
     &           234,235,236,237,238,239,240,241,  
     &           300,301,302,303,304,305,306,307,308,309,310,311,
     &           330,331,332,333,334,335,336,337,338,339,340,341,
     &           390,391,392,393,394,395,396,397,
     &           410,411/

